<div class="wrap">
    <h1><?= esc_html(get_admin_page_title()); ?> </h1>

    <?php if (isset($_GET['popupssaved'])) { ?>
        <div class="notice notice-success is-dismissible">
            <p>Popups saved!</p>
        </div>
    <?php } ?>


    <div id="gdprapp">
        <div id="post-body" class="metabox-holder columns-2">
            <div id="post-body-content" >
                <div class="postbox" v-for="popup, i in popups">
                    <span type="button" aria-expanded="true"><span class="toggle-indicator" aria-hidden="true"></span></span><h2  style="padding-left: 10px;"><span>Popup #{{i+1}}</span></h2>
                    <hr style="margin-top: 0">
                    <div class="inside">

                        <div class="gdpr-geopopup-column">
                            <table class="form-table">
                                <tr>
                                    <th scope="row"><label>Popup Title</label></th>
                                    <td><input type="text" v-model="popup.title" class="regular-text" /></td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>Internal Name</label></th>
                                    <td>
                                        <input type="text" v-model="popup.internal_name" class="regular-text" />
                                        <p class="description" id="tagline-description">Won't be displayed on frontend. If set - it will be referenced in subscribed users list.</p>
                                    </td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>Description</label></th>
                                    <td>
                                        <textarea type="text" class="regular-text" rows="7" v-model="popup.description"></textarea>
                                        <p class="description" id="tagline-description">%COUNTRY% will be replaced with user's country. HTML tags allowed.</p>
                                    </td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>Terms of Service</label></th>
                                    <td>
                                        <textarea type="text" class="regular-text" rows="7" v-model="popup.terms"></textarea>
                                    </td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>Redirect Link</label></th>
                                    <td>
                                        <input type="text" v-model="popup.redirect_link" class="regular-text" />
                                        <p class="description" id="tagline-description">Users will be redirected to this link once they submit the form. Leave blank to keep them on the same page.</p>
                                    </td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>Privacy Policy Link</label></th>
                                    <td>
                                        <input type="text" v-model="popup.pp_link" class="regular-text" />
                                    </td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>Preference Update Link</label></th>
                                    <td>
                                        <input type="text" v-model="popup.preference_link" class="regular-text" />
                                        <p class="description" id="tagline-description">Page where you inserted the shortcode for preference updating</p>
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row"><label>Email</label></th>
                                    <td>
                                        <input type="text" v-model="popup.email" class="regular-text" />
                                        <p class="description" id="tagline-description">Email will be displayed below the checkbox.</p>
                                    </td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>User Data Required</label></th>
                                    <td>
                                        <input type="radio" name="is_required" v-model="popup.is_required" value="1" /> Yes <input type="radio" name="is_required" v-model="popup.is_required" value="0" /> No
                                        <p class="description" id="tagline-description">If set to "Yes" - users will have to enter their data even if they don't give consent.</p>
                                    </td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>Submit Button Text</label></th>
                                    <td>
                                        <input type="text" v-model="popup.submit_button_text" class="regular-text" />
                                    </td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>Cancel Button Text</label></th>
                                    <td>
                                        <input type="text" v-model="popup.cancel_button_text" class="regular-text" />
                                    </td>
                                </tr>

                                <tr>
                                    <th scope="row"><label>Text Color</label></th>
                                    <td>
                                        <chrome-picker v-model="popup.text_color" />
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row"><label>Button Color</label></th>
                                    <td>
                                        <chrome-picker v-model="popup.button_color" />
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row"><label>Button Text Color</label></th>
                                    <td>
                                        <chrome-picker v-model="popup.button_text_color" />
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <div class="gdpr-geopopup-column">
                            <strong>Display popup in these countries:</strong><br>
                            <select multiple style="width: 25em; height: 400px" v-model="popup.countries">
                                <?php foreach ($countries as $code=>$country) { ?>
                                    <option value="<?php echo $code ?>"><?php echo $country ?></option>
                                <?php }; ?>
                            </select>
                            <p class="description" id="tagline-description">Hold CTRL key to select multiple</p>
                            <button type="button"class="button button-primary" v-on:click="selectEU(i)">Select EU</button>
                            <button type="button"class="button button-primary" v-on:click="selectEUUK(i)">Select EU with UK</button>
                            <button type="button"class="button button-primary" v-on:click="selectAll(i)">Select ALL</button>
                            <button type="button"class="button button-cancel" v-on:click="selectNone(i)">Select None</button><br><br><br><br>

                            <strong>Display popup on these pages:</strong><br>
                            <select multiple style="width: 25em; height: 400px" v-model="popup.pages">
                                <?php foreach ($pages as $page) { ?>
                                    <option value="<?php echo $page->ID ?>"><?php echo $page->post_title ?> (ID: <?php echo $page->ID ?>)</option>
                                <?php }; ?>
                            </select>
                            <p class="description" id="tagline-description">Hold CTRL key to select multiple</p>
                        </div>
                        <div style="clear: both"></div>

                        <button type="button" class="button button-link-delete" v-on:click="removePopup(i)">Remove popup</button>
                    </div>
                </div>

                <p style="color: #0e9c10" v-show="saved">Popups updated successfully. </p>
                <p class="error-message" v-show="errors.length">Validation errors, popups not saved:</p>
                <p class="error-message" v-for="e in errors">{{e}}</p>
                <button type="button" class="button button-large" v-on:click="addNewPopup" v-bind:disabled="saving">Add new popup</button>

                <button type="button" class="button button-large button-primary" v-on:click="save"  v-bind:disabled="saving">Save</button>
                <i class="spinner is-active" style="float: none;" v-show="saving"></i>

            </div>
        </div>
    </div>
</div>

<?php add_thickbox(); ?>